libzypp 17.37.10

SolvIterMixin.h File Reference
`#include <iosfwd>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/Iterator.h>`
`#include <zypp/base/Hash.h>`
`#include <zypp/sat/Solvable.h>`
`#include <zypp/PoolItem.h>`
`#include <zypp/ui/Selectable.h>`

Go to the source code of this file.

## Classes
struct | zypp::sat::solvitermixin_detail::UnifyByIdent
| Unify by `ident` ``(kind:name). More...
class | zypp::sat::SolvIterMixin< Derived, DerivedSolvable_iterator >
| Base class providing common iterator types based on a Solvable iterator. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
namespace | zypp::sat::solvitermixin_detail